<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Customer\CmnCustomer;
use App\Http\Controllers\Api\RespondIoController;
use Carbon\Carbon;

class UpdateLastIncomingWhatsappMsgCustomers extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'command:update-last-incoming-whatsapp-msg';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $customers = CmnCustomer::all();

        foreach ($customers as $customer) {
            $lastIncomingMessageTime = RespondIoController::ListContactChannel($customer->phone_no);
            $customer->last_incoming_whatsapp_msg = (!empty($lastIncomingMessageTime)) ? $lastIncomingMessageTime : null;
            $customer->save();
        }
    }
}
